<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>CCodeRefactoring: createCalibrationStructs.hpp Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">CCodeRefactoring
   &#160;<span id="projectnumber">First Alpha</span>
   </div>
   <div id="projectbrief">Create Simulation Executable From Existing Code</div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('create_calibration_structs_8hpp_source.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">createCalibrationStructs.hpp</div>  </div>
</div><!--header-->
<div class="contents">
<a href="create_calibration_structs_8hpp.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">// basic file operations</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="preprocessor">#include &lt;iostream&gt;</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="preprocessor">#include &lt;fstream&gt;</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="preprocessor">#include &lt;stdio.h&gt;</span></div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="preprocessor">#include &lt;cstdlib&gt;</span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="preprocessor">#include &lt;cstring&gt;</span></div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="preprocessor">#include &lt;sstream&gt;</span></div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="preprocessor">#include &lt;iomanip&gt;</span></div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#include &lt;string&gt;</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">#include &lt;chrono&gt;</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="preprocessor">#include &lt;unistd.h&gt;</span></div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="preprocessor">#include &lt;algorithm&gt;</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="preprocessor">#include &lt;set&gt;</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="preprocessor">#include &lt;string&gt;</span></div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="preprocessor">#include &lt;unordered_map&gt;</span></div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#include &lt;vector&gt;</span></div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="preprocessor">#include &lt;unistd.h&gt;</span></div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="preprocessor">#include &lt;sys/types.h&gt;</span></div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="preprocessor">#include &lt;dirent.h&gt;</span></div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160; </div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="preprocessor">#ifndef bsoncxxType</span></div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="preprocessor">    #define bsoncxxType</span></div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160; </div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="preprocessor">        #include &lt;bsoncxx/builder/basic/array.hpp&gt;</span></div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="preprocessor">        #include &lt;bsoncxx/builder/basic/document.hpp&gt;</span></div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="preprocessor">        #include &lt;bsoncxx/builder/basic/kvp.hpp&gt;</span></div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="preprocessor">        #include &lt;bsoncxx/builder/stream/array.hpp&gt;</span></div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="preprocessor">        #include &lt;bsoncxx/builder/stream/document.hpp&gt;</span></div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="preprocessor">        #include &lt;bsoncxx/builder/stream/helpers.hpp&gt;</span></div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160; </div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;<span class="preprocessor">        #include &lt;bsoncxx/types.hpp&gt;</span></div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="preprocessor">        #include &lt;bsoncxx/stdx/string_view.hpp&gt;</span></div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;<span class="preprocessor">        #include &lt;bsoncxx/json.hpp&gt;</span> </div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;<span class="preprocessor">        #include &lt;bsoncxx/types.hpp&gt;</span></div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160; </div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;<span class="preprocessor">        #include &lt;bsoncxx/builder/basic/document.hpp&gt;</span></div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;<span class="preprocessor">        #include &lt;bsoncxx/json.hpp&gt;</span></div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160; </div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;<span class="preprocessor">        #include &lt;bsoncxx/document/value.hpp&gt;</span></div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;<span class="preprocessor">        #include &lt;bsoncxx/stdx/string_view.hpp&gt;</span></div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160; </div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;<span class="preprocessor">#endif </span></div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160; </div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;<span class="preprocessor">#ifndef defineRecHierarachSearch</span></div>
<div class="line"><a name="l00045"></a><span class="lineno"><a class="line" href="create_calibration_structs_8hpp.html#ad1005bb465930080003dbdcf2ce14266">   45</a></span>&#160;<span class="preprocessor">    #define defineRecHierarachSearch</span></div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;<span class="preprocessor">        #include &lt;<a class="code" href="recursive_hierarch_search_8hpp.html">recursiveHierarchSearch.hpp</a>&gt;</span></div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;<span class="preprocessor">#endif</span></div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160; </div>
<div class="line"><a name="l00049"></a><span class="lineno"><a class="line" href="create_calibration_structs_8hpp.html#a9dc59b558637380f682fc73799d91012">   49</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="create_calibration_structs_8hpp.html#a9dc59b558637380f682fc73799d91012">visitCalParams</a>(std::string ident)</div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;{</div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;    std::vector&lt;std::string&gt; name_vec;</div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;    name_vec.push_back(<span class="stringliteral">&quot;SW-CALPRMS&quot;</span>);</div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160; </div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;    std::string getCals_t = <span class="stringliteral">&quot;SELECT mdx FROM public.flattenedmdx WHERE mdx @&gt; &#39;{\&quot;identifier\&quot;: \&quot;&quot;</span>+ident+<span class="stringliteral">&quot;\&quot;, \&quot;name\&quot;:\&quot;SW-CALPRM\&quot;}&#39;;&quot;</span>;            </div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;    std::vector&lt;std::vector&lt;std::string&gt;&gt; resCals_t = <a class="code" href="postgres_interface_8hpp.html#a23641ff228bc4a84c18a7ae15c42ed77">genericQuery</a>(<span class="stringliteral">&quot;ThermoBaseDataStationary&quot;</span>,getCals_t);</div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;        </div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;    std::vector&lt;std::string&gt; mdx_raw_vec  = <a class="code" href="recursive_hierarch_search_8hpp.html#a6c3aafef43e91acd0d2542ea2c5337ac">getNthColumn</a>(resCals_t,0);</div>
<div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;            </div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;    bsoncxx::builder::basic::document MainNode;</div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160; </div>
<div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160; </div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;    <span class="keywordflow">for</span>(std::vector&lt;std::string&gt;::iterator adrRwIt = mdx_raw_vec.begin();adrRwIt != mdx_raw_vec.end();adrRwIt++)                        </div>
<div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;    {</div>
<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;        std::string curAdr = *adrRwIt;</div>
<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;        </div>
<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;        std::vector&lt;std::string&gt; addrvec = <a class="code" href="recursive_hierarch_search_8hpp.html#a84e7a8d5a78c4f9d483ce3bf66b186ea">getAddrVec</a>(curAdr);   </div>
<div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;        std::string name = <a class="code" href="recursive_hierarch_search_8hpp.html#ae80795e0e8b8d7169f267438db1baa6b">getScalar</a>(curAdr,<span class="stringliteral">&quot;name&quot;</span>);</div>
<div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;        </div>
<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;        </div>
<div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;        <span class="keywordflow">if</span>(!addrvec.empty())</div>
<div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;        {</div>
<div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;            <span class="keywordflow">for</span>(std::vector&lt;std::string&gt;::iterator adIt = addrvec.begin();adIt != addrvec.end();adIt++)</div>
<div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;            {</div>
<div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;                std::vector&lt;std::string&gt; level_name_vec = name_vec;</div>
<div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;                std::string addr = *adIt;</div>
<div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;                <a class="code" href="recursive_hierarch_search_8hpp.html#a50a5034e0f6e6d95d8d2a73f68c88668">recursiveVisitor</a>(MainNode,ident,name,addr,name_vec,<span class="stringliteral">&quot;CALPARM&quot;</span>);                        </div>
<div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;                name_vec = level_name_vec;</div>
<div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;            }          </div>
<div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;        }</div>
<div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;                                      </div>
<div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;    }        </div>
<div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;}</div>
<div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160; </div>
<div class="line"><a name="l00084"></a><span class="lineno"><a class="line" href="create_calibration_structs_8hpp.html#a36265cf4692fcc20b3f825cfa3a9250a">   84</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="create_calibration_structs_8hpp.html#a36265cf4692fcc20b3f825cfa3a9250a">createCalibrationStructs</a>()</div>
<div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;{</div>
<div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;    std::vector&lt;std::string&gt; ident_vec;</div>
<div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160; </div>
<div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;    std::string get_ident_vec =  <span class="stringliteral">&quot;SELECT DISTINCT mdx-&gt;&gt;&#39;identifier&#39; FROM public.flattenedmdx;&quot;</span>;</div>
<div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;    std::vector&lt;std::vector&lt;std::string&gt;&gt; res_ident_vec = <a class="code" href="postgres_interface_8hpp.html#a23641ff228bc4a84c18a7ae15c42ed77">genericQuery</a>(<span class="stringliteral">&quot;ThermoBaseDataStationary&quot;</span>,get_ident_vec);</div>
<div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;    <span class="keywordflow">for</span>(std::vector&lt;std::vector&lt;std::string&gt;&gt;::iterator itIdent=res_ident_vec.begin();itIdent!=res_ident_vec.end();itIdent++)</div>
<div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;    {</div>
<div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;        std::vector&lt;std::string&gt; cur_vec = *itIdent;</div>
<div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;        std::string cur_val = cur_vec[0];</div>
<div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;        ident_vec.push_back(cur_val);</div>
<div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;    }</div>
<div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;        </div>
<div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;    <a class="code" href="postgres_interface_8hpp.html#a952e42de50e86fdd1ac069a8acf991e1">createPgTables</a>(<span class="stringliteral">&quot;MDXCalibrationParms&quot;</span>,<span class="stringliteral">&quot;MDXCalParms&quot;</span>);  </div>
<div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;    <span class="keywordflow">for</span>(std::vector&lt;std::string&gt;::iterator idIt = ident_vec.begin();idIt != ident_vec.end();idIt++) </div>
<div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;    {       </div>
<div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;        std::string ident = *idIt;</div>
<div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;        std::string getVarsId = <span class="stringliteral">&quot;SELECT mdx-&gt;&gt;&#39;array_indices&#39; FROM public.flattenedmdx WHERE mdx @&gt; &#39;{\&quot;identifier\&quot;: \&quot;&quot;</span>+ident+<span class="stringliteral">&quot;\&quot;, \&quot;name\&quot;:\&quot;SW-VARIABLE\&quot;}&#39;;&quot;</span>;            </div>
<div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;        std::vector&lt;std::vector&lt;std::string&gt;&gt; resVarID_vec = <a class="code" href="postgres_interface_8hpp.html#a23641ff228bc4a84c18a7ae15c42ed77">genericQuery</a>(<span class="stringliteral">&quot;ThermoBaseDataStationary&quot;</span>,getVarsId);            </div>
<div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;        <a class="code" href="create_calibration_structs_8hpp.html#a9dc59b558637380f682fc73799d91012">visitCalParams</a>(ident);            </div>
<div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;    }</div>
<div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;}</div>
<div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160; </div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<div class="ttc" id="a_c_make_lists_8txt_html_a1a81017b8af76ef6f26c5650ab7a6bdf"><div class="ttname"><a href="_c_make_lists_8txt.html#a1a81017b8af76ef6f26c5650ab7a6bdf">include_directories</a></div><div class="ttdeci">include_directories(${LIBMONGOCXX_STATIC_INCLUDE_DIR}) include_directories($</div><div class="ttdef"><b>Definition:</b> CMakeLists.txt:50</div></div>
<div class="ttc" id="apostgres_interface_8hpp_html_a23641ff228bc4a84c18a7ae15c42ed77"><div class="ttname"><a href="postgres_interface_8hpp.html#a23641ff228bc4a84c18a7ae15c42ed77">genericQuery</a></div><div class="ttdeci">std::vector&lt; std::vector&lt; std::string &gt; &gt; genericQuery(std::string dbName, std::string query)</div><div class="ttdef"><b>Definition:</b> postgresInterface.hpp:759</div></div>
<div class="ttc" id="a_c_make_lists_8txt_html_a0f5e1559f1488eadf50e9b0a5844cd80"><div class="ttname"><a href="_c_make_lists_8txt.html#a0f5e1559f1488eadf50e9b0a5844cd80">set</a></div><div class="ttdeci">set(LLVM_LINK_COMPONENTS support) set(CMAKE_CXX_STANDARD 17) set(CMAKE_CXX_STANDARD_REQUIRED YES) set(LLVM_ENABLE_EH ON) set(LLVM_REQUIRES_RTTI ON) find_package(libpqxx CONFIG REQUIRED) find_package(PostgreSQL REQUIRED) find_package(libmongocxx-static REQUIRED) find_package(libbsoncxx-static REQUIRED) find_package(libmongoc-static-1.0 REQUIRED) find_package(libpqxx CONFIG REQUIRED) find_package(PostgreSQL REQUIRED) find_package(libmongocxx-static REQUIRED) find_package(libbsoncxx-static REQUIRED) find_package(libmongoc-static-1.0 REQUIRED) set(libmongoc_libraries $</div><div class="ttdef"><b>Definition:</b> CMakeLists.txt:1</div></div>
<div class="ttc" id="arecursive_hierarch_search_8hpp_html"><div class="ttname"><a href="recursive_hierarch_search_8hpp.html">recursiveHierarchSearch.hpp</a></div></div>
<div class="ttc" id="acreate_calibration_structs_8hpp_html_a9dc59b558637380f682fc73799d91012"><div class="ttname"><a href="create_calibration_structs_8hpp.html#a9dc59b558637380f682fc73799d91012">visitCalParams</a></div><div class="ttdeci">void visitCalParams(std::string ident)</div><div class="ttdef"><b>Definition:</b> createCalibrationStructs.hpp:49</div></div>
<div class="ttc" id="arecursive_hierarch_search_8hpp_html_a50a5034e0f6e6d95d8d2a73f68c88668"><div class="ttname"><a href="recursive_hierarch_search_8hpp.html#a50a5034e0f6e6d95d8d2a73f68c88668">recursiveVisitor</a></div><div class="ttdeci">void recursiveVisitor(bsoncxx::builder::basic::document &amp;MainNode, std::string &amp;ident, std::string name, std::string addr, std::vector&lt; std::string &gt; &amp;name_vec, std::string type)</div><div class="ttdef"><b>Definition:</b> recursiveHierarchSearch.hpp:238</div></div>
<div class="ttc" id="arecursive_hierarch_search_8hpp_html_ae80795e0e8b8d7169f267438db1baa6b"><div class="ttname"><a href="recursive_hierarch_search_8hpp.html#ae80795e0e8b8d7169f267438db1baa6b">getScalar</a></div><div class="ttdeci">std::string getScalar(std::string AddrStr, std::string attr)</div><div class="ttdef"><b>Definition:</b> recursiveHierarchSearch.hpp:40</div></div>
<div class="ttc" id="acreate_calibration_structs_8hpp_html_a36265cf4692fcc20b3f825cfa3a9250a"><div class="ttname"><a href="create_calibration_structs_8hpp.html#a36265cf4692fcc20b3f825cfa3a9250a">createCalibrationStructs</a></div><div class="ttdeci">void createCalibrationStructs()</div><div class="ttdef"><b>Definition:</b> createCalibrationStructs.hpp:84</div></div>
<div class="ttc" id="apostgres_interface_8hpp_html_a952e42de50e86fdd1ac069a8acf991e1"><div class="ttname"><a href="postgres_interface_8hpp.html#a952e42de50e86fdd1ac069a8acf991e1">createPgTables</a></div><div class="ttdeci">int createPgTables(std::string table_name, std::string column_name)</div><div class="ttdef"><b>Definition:</b> postgresInterface.hpp:597</div></div>
<div class="ttc" id="arecursive_hierarch_search_8hpp_html_a6c3aafef43e91acd0d2542ea2c5337ac"><div class="ttname"><a href="recursive_hierarch_search_8hpp.html#a6c3aafef43e91acd0d2542ea2c5337ac">getNthColumn</a></div><div class="ttdeci">std::vector&lt; std::string &gt; getNthColumn(std::vector&lt; std::vector&lt; std::string &gt;&gt; matrix, unsigned colNo)</div><div class="ttdef"><b>Definition:</b> recursiveHierarchSearch.hpp:24</div></div>
<div class="ttc" id="arecursive_hierarch_search_8hpp_html_a84e7a8d5a78c4f9d483ce3bf66b186ea"><div class="ttname"><a href="recursive_hierarch_search_8hpp.html#a84e7a8d5a78c4f9d483ce3bf66b186ea">getAddrVec</a></div><div class="ttdeci">std::vector&lt; std::string &gt; getAddrVec(std::string AddrStr)</div><div class="ttdef"><b>Definition:</b> recursiveHierarchSearch.hpp:167</div></div>
<div class="ttc" id="a_c_make_lists_8txt_html_a7c87e68e52713adcccb3a14c404733bb"><div class="ttname"><a href="_c_make_lists_8txt.html#a7c87e68e52713adcccb3a14c404733bb">message</a></div><div class="ttdeci">message(STATUS &quot;Libmongo CXX incl dirs : ${LIBMONGOCXX_STATIC_INCLUDE_DIRS}&quot;) include_directories($</div><div class="ttdef"><b>Definition:</b> CMakeLists.txt:38</div></div>
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="create_calibration_structs_8hpp.html">createCalibrationStructs.hpp</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
